Bug 805892 - sblim-sfcb being installed breaks libvirt-cim rebuild
sblim-sfcb being installed breaks libvirt-cim rebuild
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt-cim (Show other bugs)
6.3
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Daniel Veillard
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 07:25 EDT by min zhan
Modified: 2013-02-21 05:46 EST (History)
4 users (show)

See Also:
Fixed In Version: libvirt-cim-0.6.1-4.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 05:46:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error msg (122.38 KB, image/png)
2012-03-22 07:26 EDT, min zhan
no flags Details

  None (edit)
Description min zhan 2012-03-22 07:25:30 EDT
Description of problem:
sblim-sfcb being installed breaks libvirt-cim rebuild

Version-Release number of selected component (if applicable):
libvirt-cim-0.6.1-3.el6
sblim-sfcb-1.3.11-2.el6

How reproducible:
Always

Steps to Reproduce:
1. Install sblim-sfcb

2. then rebuild libvirt-cim
# rpmbuild --rebuild --define "dist .el6" --define '_topdir /usr/src/redhat' --target=x86_64 --rcfile /tmp/tps_rpmrc_8qgK7Z: /mnt/redhat/brewroot/packages/libvirt-cim/0.6.1/3.el6/src/libvirt-cim-0.6.1-3.el6.src.rpm 

  
Actual results:
Errors display and rebuild failed, just as attachment.

Expected results:
rebuild works well even if sblim-sfcb is installed.

Additional info:
Comment 1 min zhan 2012-03-22 07:26:51 EDT
Created attachment 571969 [details]
error msg
Comment 2 Daniel Veillard 2012-04-18 02:13:29 EDT
There is a patch for the issue:

https://www.redhat.com/archives/libvirt-cim/2012-March/msg00014.html

but I don't think it's worth rebuilding the package just for it, after all
we don't officially support sblim-fscb on RHEL. But we should pull that
patch if we rebuild in a future release, retargetting to 6.4

Daniel
Comment 4 Daniel Veillard 2012-07-10 02:38:01 EDT
Fix commited upstream as commit 9f5e204f6d8bca958f69891568e959d7c3611096

Daniel
Comment 6 yanbing du 2012-10-15 06:22:31 EDT
Bug verify with libvirt-cim-0.6.1-4.el6.x86_64.
install sblim-sfcb
# rpm -q sblim-sfcb
sblim-sfcb-1.3.11-2.el6.x86_64
then rebuild libvirt-cim, there's no error
# rpmbuild --rebuild --define "dist .el6" --define '_topdir /usr/src/redhat' --target=x86_64 /root/libvirt-pkg/libvirt-cim/libvirt-cim-0.6.1-4.el6.src.rpm 

#ls /usr/src/redhat/RPMS/x86_64
libvirt-cim-0.6.1-4.el6.x86_64.rpm
Comment 8 errata-xmlrpc 2013-02-21 05:46:40 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0449.html

Note You need to log in before you can comment on or make changes to this bug.